Subject: Re: Futher clarification needed-- Un-numbered point to point. dou bt

From: "Naidu, Venkata" <[email-masked]>
Date: Fri, 7 Mar 2003 10:40:53 -0500

Alok,

-> what i wish to know is that when i use INADDR_ANY as its
-> value, will it bind
-> to "any/all physical interface" or only "1 interface" which
-> it randomly
-> chooses? ( i beleive it is different across different unix flavours)

  When the interface (IP address in case of IPv4 or ifindex in
  case of IPv6) is not specified in IP_MULTICAST_IF or
  IP_ADD_MEMBERSHIP socket options, kernel selects only *one*
  local interface. Here INADDR_ANY is _not_ treated like a
  wildcard by the kernel.  So, the choice is given to the kernel.

  The assumption is that if a route exists for a given multicast
  address (perhaps the default in the routing table), then the
  resulting interface should be used for input and output. Most
  of the operating systems uses this tip in interface selection.

Venkata.

---

From: Alok Dube <[email-masked]>
Date: Sat, 8 Mar 2003 20:02:21 +0530

hi,

but then how do we ensure that all interfaces "listen" to multicast?

keep binding to each one?